Skip to main content
Back to API List

Queues API

To get the Queues/Skills associated with an accountId.
MethodGET
Endpointhttps://{{host}}/agentassist/api/public/analytics/account/{{accountId}}/queues
Content-Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token.
API ScopeWFM Integration

Path Parameters

ParameterDescriptionType
hostThe environment URL. Example: https://platform.kore.aistring (required)
accountIdThe unique identifier for the account.string (required)

Sample Request

curl --location 'https://{{host}}/agentassist/api/public/analytics/account/{{accountId}}/queues' \
--header 'auth: <token>' \
--header 'Content-Type: application/json'

Sample Response

 [
	{
		accountId: "63fb9a0f90425b644d3exxxx",
		"collectionPointId":"qu-59bb17e-0cae-46b0-8d80-a8a8ac34xxxx",
		"Description": "Default Queue"
	}
]

Body Parameters

ParameterDescriptionType
accountIdUnique identifier for the account. Example: 63fb9a0f90425b644d3exxxx.String
collectionPointIdUnique identifier for the collection point (queue). Example: qu-59bb17e-0cae-46b0-8d80-a8a8ac34xxxx.String
descriptionDescription of the collection point or queue. Example: Default Queue.String